Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatBoostSourceGiveaway

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatBoostSource
it.tdlight.jni.TdApi.ChatBoostSourceGiveaway

Enclosing class:
  TdApi

public static final class TdApi.ChatBoostSourceGiveaway extends TdApi.ChatBoostSource
The chat created a Telegram Premium giveaway.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`giftCode`
The created Telegram Premium gift code if it was used by the user or can be claimed by the current user; an empty string otherwise.
`long`
`giveawayMessageId`
Identifier of the corresponding giveaway message; can be an identifier of a deleted message.
`boolean`
`isUnclaimed`
True, if the winner for the corresponding Telegram Premium subscription wasn't chosen, because there were not enough participants.
`long`
`userId`
Identifier of a user that won in the giveaway; 0 if none.

## Constructor Summary

Constructors
Constructor
Description
`ChatBoostSourceGiveaway()`
The chat created a Telegram Premium giveaway.
`ChatBoostSourceGiveaway(long userId, String giftCode, long giveawayMessageId, boolean isUnclaimed)`
The chat created a Telegram Premium giveaway.
`ChatBoostSourceGiveaway(DataInput input)`
The chat created a Telegram Premium giveaway.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### userId

public long userId
Identifier of a user that won in the giveaway; 0 if none.

### giftCode

public String giftCode
The created Telegram Premium gift code if it was used by the user or can be claimed by the current user; an empty string otherwise.

### giveawayMessageId

public long giveawayMessageId
Identifier of the corresponding giveaway message; can be an identifier of a deleted message.

### isUnclaimed

public boolean isUnclaimed
True, if the winner for the corresponding Telegram Premium subscription wasn't chosen, because there were not enough participants.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ChatBoostSourceGiveaway

public ChatBoostSourceGiveaway()
The chat created a Telegram Premium giveaway.

### ChatBoostSourceGiveaway

public ChatBoostSourceGiveaway(long userId, String giftCode, long giveawayMessageId, boolean isUnclaimed)
The chat created a Telegram Premium giveaway.

Parameters:
  `userId` - Identifier of a user that won in the giveaway; 0 if none.
  `giftCode` - The created Telegram Premium gift code if it was used by the user or can be claimed by the current user; an empty string otherwise.
  `giveawayMessageId` - Identifier of the corresponding giveaway message; can be an identifier of a deleted message.
  `isUnclaimed` - True, if the winner for the corresponding Telegram Premium subscription wasn't chosen, because there were not enough participants.

### ChatBoostSourceGiveaway

public ChatBoostSourceGiveaway(DataInput input) throws IOException
The chat created a Telegram Premium giveaway.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`